Foxit PDF SDK

Public Member Functions | List of all members
foxit::pdf::portfolio::PortfolioFileNode Class Reference
Inheritance diagram for foxit::pdf::portfolio::PortfolioFileNode:

## Public Member Functions
| PortfolioFileNode (const PortfolioNode &other)
| Constructor, with parent class object. More...
| ~PortfolioFileNode ()
| Destructor.
FileSpec | GetFileSpec () const
| Get the related file specification object which is used to access an embedded file information and data. More...
WString | GetKeyName () const
| Get the key name of the related file specification object. More...
Public Member Functions inherited from foxit::pdf::portfolio::PortfolioNode
| PortfolioNode (const PortfolioNode &other)
| Constructor, with another portfolio node object. More...
| ~PortfolioNode ()
| Destructor.
Type | GetNodeType () const
| Get node type. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const PortfolioNode &other) const
| Not equal operator. More...
PortfolioNode & | operator= (const PortfolioNode &other)
| Assign operator. More...
bool | operator== (const PortfolioNode &other) const
| Equal operator. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Additional Inherited Members
Public Types inherited from foxit::pdf::portfolio::PortfolioNode
enum | Type { e_TypeUnknown = 0, e_TypeFolder = 1, e_TypeFile = 2 }
| Enumeration for portfolio node type. More...

## Detailed Description

Portfolio file node is always associated with a file specification which represents an embedded file in portfolio PDF document.
Class PortfolioFileNode is derived from class PortfolioNode. It offers function to access related file specification object and the key name for this file specification object.

## Constructor & Destructor Documentation

## ◆ PortfolioFileNode()

foxit::pdf::portfolio::PortfolioFileNode::PortfolioFileNode | ( | const PortfolioNode & | other | ) |
| explicit

Constructor, with parent class object.

Parameters

  [in] | other | Parent class object.

## Member Function Documentation

## ◆ GetFileSpec()

FileSpec foxit::pdf::portfolio::PortfolioFileNode::GetFileSpec | ( |  | ) | const

Get the related file specification object which is used to access an embedded file information and data.

Returns
  A file specification object.

## ◆ GetKeyName()

WString foxit::pdf::portfolio::PortfolioFileNode::GetKeyName | ( |  | ) | const

Get the key name of the related file specification object.

Key name is used for storing a file specification. Key name can be used in class Attachments. Also, key name can be used to specify the initial document in class Portfolio.

Returns
  A file specification object.